Download it now!
Bug 129520 - ODT import: Field marks are added at the end of the document
Summary: ODT import: Field marks are added at the end of the document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: odf target:6.5.0 target:6.4.0.2 targe...
Keywords: bibisected, dataLoss, regression
Depends on:
Blocks:
 
Reported: 2019-12-20 14:55 UTC by Xisco Faulí
Modified: 2020-09-25 14:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (15.23 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-12-20 14:55 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-20 14:55:59 UTC
Created attachment 156694 [details]
sample file

Steps to reproduce:
1. Open attached document -> it contains 3 fields on top
2. Save it as ODT
3. Open the new created document

-> the last 2 fields are displayed at the end of the document

reproduced in

Version: 6.5.0.0.alpha0+
Build ID: dee81fb2e1df5091702b3c8b0e4a3f2b58e89291
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 2 Commit Notification 2019-12-23 11:02:39 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/027a7c8e02c6b023dcf9e26b68c0f339bd4c74c6

tdf#129520 xmloff: fix ODF import of multi-paragraph fieldmark

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (allotropia) 2019-12-23 11:03:32 UTC
fixed on master
Comment 4 Xisco Faulí 2019-12-26 09:55:32 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 1abfc8e2f677024ea058e96f3133e503ba89ea02
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael S, thanks for fixing this issue!
Comment 5 Commit Notification 2019-12-29 12:59:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2a6bb61bde1e4f387ce5a6da2a1ae09d7c405c11

tdf#129520 xmloff: fix ODF import of multi-paragraph fieldmark

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-09-17 08:42:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d8ca58f46a99d4502f75ce8177b09d2841ce3489

tdf#129520 : sw_odfexport: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.